{
  services = {
    mpd = {
      enable = true;
      musicDirectory = "/mnt/media/ceres/storage/Music";
      extraConfig = ''
        audio_output {
          type   "pulse"
          name   "PulseAudio"
        }
        audio_output {
          type   "fifo"
          name   "my_fifo"
          path   "/tmp/mpd.fifo"
          format "44100:16:2"
        }
      '';
    };
    mpd-discord-rpc = {
      enable = true;
      settings = {
        format = {
          hosts = [ "localhost:6600" ];
          details = "$title";
          state = "🥒💦$artist";
          display_type = "state";
        };
      };
    };
  };

  programs.cava = {
    enable = true;
    settings = {
      input = {
        method = "fifo";
        source = "/tmp/mpd.fifo";
      };
    };
  };
}
